image: node:11.10.0

pipelines:
  default:
    - step:
        script:
          - echo "nothing to do"
  branches:
    master:
      - step:
          caches:
            - node
          script:
            - umask 0022
            - npm install
            - npm run-script build-prod
    integration:
      - step:
          caches:
            - node
          script:
            - umask 0022
            - npm install
            - npm run-script build
    develop:
      - step:
          caches:
            - node
          script:
            - umask 0022
            - npm install
            - npm run-script build-prod
